/* $Id: cfg_smtp.h.dist,v 1.1.2.1 2001/05/01 17:47:45 dps Exp $ */
/* Email configuration */

#ifndef __CFG_SMTP_H__
#define __CFG_SMTP_H__ 1

/*******************************************************************
 *
 * Configurable items for email logging
 *
 *******************************************************************/
	
/* 
 *  Recipients. Make sure you edit this! Multiple recipients OK 
 *  
 *  Example: for you@here.dom and you@there.dom say
 *  #define RECIPIENTS "you@here.dom", "you@there.dom"
 *  (which might be subject to relaying restrictions).
 */

#define RECIPIENTS "root@localhost"


/*
 * Mail server to use.
 *
 * Change this to #define USE_GETHOST if you want to specify
 * the mail server (or relay host) by name rather than IP address.
 */
#undef USE_GETHOST

/* 
 * The Mail server (or relay host) address if USE_GETHOST is undefined 
 */

/* #define ADDR 127.0.0.1 */ 

/* 
 * The Mail server (or relay host) name if USE_GETHOST is defined. 
 */

#undef SMTP_MACHINE
/* #define SMTP_MACHINE mail.example.com */ 



/*
 * Your own machine. If you specify a numerical address, enclose it
 * in square brackets.
 * 
 * Example: #define MACHINE localhost
 *          #define MACHINE [127.0.0.1]
 */

/* #define MACHINE localhost */



/* 
 * Sender. Make this innocuous. 
 */

#define SENDER MAILER-DAEMON@localhost.localdomain

/* 
 * Subject of the message. Make it innocous 
 */

#define SUBJECT problem report




/*******************************************************************
 *
 * ---  Nothing to change below ---
 *
 *******************************************************************/

/* SMTP IP PORT */
#ifdef IPPORT_SMTP
#define SMTP_PORT IPPORT_SMTP
#else
#define SMTP_PORT 25
#endif

/* TIMEOUT for SMTP response waiting */
#define TIMEOUT 300		/* 5 minutes */
/* N.B. I know 5 minutes violates the RFC minima but too big a value might
 * make it likely someone typing netstat would notice the mail connection and
 * the subdefuge value of mailing the admin without appearing in the logs
 * would be blown... (RFC purists might want to fix this) */

#endif /* __CFG_SMTP_H__ */
