/* $Id: vsnprintf.h,v 1.1.1.1 2000/05/04 22:56:13 dps Exp $ */
/* snprintf paranioa stuff */
#ifndef __CPS_VSNPRINTF_H__
#define __CPS_VSNPRINTF_H__ 1

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

/* Implement snprintf using system vsnprintf */
#ifndef HAVE_SNPRINTF
#ifdef HAVE_VSNPRINTF

#ifdef HAVE_STDARG_H
#include <stdarg.h>
#else /* not HAVE_STDARG_H */
#error ANSI says stdarg,h exists and I need it. Get an ANSI compiler.
#endif /* HAVE_STDARG_H */

static void snprintf(char *s, int sz, const char *fmt, ...)
{
va_list argp;
va_start(argp, fmt);
vsnprintf(s, sz, fmt, argp);
va_end(argp);
}
#endif /* HAVE_VSNPRINTF */
#endif /* not HAVE_SNPRINTF */

/* Declare vsnprintf.c functions */
#ifndef HAVE_VSNPRINTF
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif /* HAVE_SYS_TYPES_H */

#ifdef HAVE_STDARG_H
#include <stdarg.h>
#else /* not HAVE_STDARG_H */
#error ANSI says stdarg,h exists and I need it. Get an ANSI compiler.
#endif /* HAVE_STDARG_H */

extern int snprintf(char *, size_t, const char *, ...);
extern int vsnprintf(char *, size_tm const char *, va_list);

#endif /* not HAVE_VSNPRINTF */

#endif /* __CPS_VSNPRINTF_H__ */
